%define		plugin	pp
Summary:	jQuery PP framework
Name:		jquery-%{plugin}
Version:	1.2.5
Release:	1
License:	MIT / GPL
Group:		Applications/WWW
Source0:	https://github.com/atirip/jquery.pp/tarball/%{version}/%{plugin}-%{version}.tgz
# Source0-md5:	ea7113eea93ddc84d74091377004fbe5
URL:		https://github.com/atirip/jquery.pp
BuildRequires:	js
BuildRequires:	rpmbuild(macros) > 1.268
BuildRequires:	closure-compiler
Requires:	jquery >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/jquery/%{plugin}

%description
This packages contains base jQuery PP framework

and additional optional plugins:
- jQuery Calendar plugin for PP framework
- jQuery Select plugin for PP framework

%prep
%setup -qc
mv *-jquery.%{plugin}-*/* .

%build
install -d build
# compress .js
for js in *.js; do
	# compress .js
	out=build/${js#jquery.}
	%if 0%{!?debug:1}
	closure-compiler --js $js --charset UTF-8 --js_output_file $out
	js -C -f $out
	%else
	cp -p $js $out
	%endif
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a build/* $RPM_BUILD_ROOT%{_appdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{_appdir}
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jquery-pp.git;a=log;h=master

* Tue Jun 26 2012 Elan Ruusamäe <glen@pld-linux.org> e38c6dc
- up to 1.2.5

* Tue May 08 2012 Elan Ruusamäe <glen@pld-linux.org> 629aedd
- up to 1.2.3

* Mon Apr 30 2012 Elan Ruusamäe <glen@pld-linux.org> d140835
- 1.2.2

* Mon Apr 23 2012 Elan Ruusamäe <glen@pld-linux.org> 5405841
- up to 1.2

* Mon Apr 02 2012 Elan Ruusamäe <glen@pld-linux.org> cb39552
- up to 1.1

* Wed Feb 29 2012 Elan Ruusamäe <glen@pld-linux.org> 2b0bd55
- new

